# Configuration variables

Your application will need to keep a configuration of variables to use for each distinct Toggle account (e.g. for each of our mutual shared customers/clients).

These are summarised below.

| Variable                         | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| -------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `sales_channel_id`               | For POS integrations, use `3` as the sales\_channel\_id when creating orders – this is a permanent ID used across all accounts for in-store transactions.                                                                                                                                                                                                                                                                                                                          |
| `fulfilment_method_id`           | <p>If you issue digital cards from your application, and would like Toggle to send the guest the gift card - this would be <code>1</code> (Email)</p><p></p><p>If you issue digital cards from your application, and would like Toggle to send the guest the gift card - this would be <code>2</code> (Postal)</p><p></p><p>If you want to issue the card from your application, this would be <code>8</code> (3rd Party)</p>                                                      |
| `currency`                       | Default to `GBP` (£ sterling), but leave this as something that can be configured as well, this will ensure the integration is future-proofed to handle other currency IDs in future.                                                                                                                                                                                                                                                                                              |
| `account_id`                     | `account_id` will be manually configured, and will be provided during onboarding of a new mutual customer. Email <support@usetoggle.com> to request an `account_id`.                                                                                                                                                                                                                                                                                                               |
| `merchant_id`                    | This identifies you as an an approved merchant on our platform. Email <support@usetoggle.com> to request this.                                                                                                                                                                                                                                                                                                                                                                     |
| `unit_epos_reference`            | This refers to the unique site location, passed to Toggle so its knows the location where the transaction was made. This needs to be matched with the configured EPOS references in each Toggle customer's account. If your transactions don't relate to a particular site, you will need a "head office" location reference on the Toggle account to use. [See here for more information](http://academy.usetoggle.com/en/articles/2892479-setting-up-toggle-for-multiple-sites). |
| `merchant_transaction_reference` | This refers to the unique reference created by the your platform when the transaction is made. You will generate and pass this to our API when handling transactions.                                                                                                                                                                                                                                                                                                              |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.usetoggle.com/partner-guides/custom-web-shops/configuration-variables.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
